package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RSubjectVo;
import com.xhkjedu.sapi.vo.region.ResourceTypeVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName SResourceMapper
 * Description TODO 校园可视化--资源统计
 * Author WN
 * Date 2021/6/24 11:06
 **/
@Repository
public interface SResourceMapper{
    //资源统计--数量统计
    Map getSchoolResourceNum(Integer schoolid);
    //资源统计--收藏数量
    Integer getSchoolResourceCollectNum(Integer schoolid);
    //资源统计--校本资源数量
    Integer getSchoolResourceTotalNum(Integer schoolid);
    //资源统计--分类统计
    List<ResourceTypeVo> listSchoolResourceSubjectTypenum(Integer schoolid);
    //资源统计--格式分类
    List<ResourceTypeVo> listSchoolResourceSubjectClassnum(Integer schoolid);
    //试题统计--学科数量
    List<RSubjectVo> listSchoolQuestionSubjectnum(Integer schoolid);
    //试题统计--校本学科数量
    List<RSubjectVo> getSchoolQuestionXbSubjectnum(Integer schoolid);
    //校本资源统计
    List<RSubjectVo> listSchoolResourceSchool(Integer schoolid);
    //热门资源统计
    List<Map> listSchoolResourceHot(Integer schoolid);
    //校本资源贡献统计
    List<ResourceTypeVo> listSchoolResourceForSchool(Integer schoolid, Integer begintime, Integer endtime);

}
